Zum Inhalt

Bereitstellung / Anforderungen

Im folgenden wird die technische Integration der IOMbLibrary in eine Android Projekt-Struktur beschrieben.

Bereitstellung

Die IOMbLib Android wird als Maven Package bereitgestellt und lässt sich über eine gradle Build Configuration in ein Android App Projekt integrieren: (s. Integration)

Anforderungen

Die IOMb Library für Android unterstützt die Integration über die Entwicklungsumgebung „Android Studio“ unter Windows/macOS bzw. Linux.

Entwicklungsumgebung

  • Android Studio 4.2 (und höher)
  • Gradle Plugin Version 4.2 (und höher)
  • Target SDK Version 29 (oder höher)
  • Min SDK Version 19 (oder höher)

Betriebssystem/Plattform

Die IOMb Lib Android setzt für den Betrieb Android v4.4 (API Level 19) oder höher voraus.

Kompatibilität

Eine neue Version des Android Betriebssystems macht evtl. ein Update der IOMb Library notwendig. Eine vollständige Aufwärtskompatibilität kann u.U. nicht gewährleistet werden.


Letztes Update: February 11, 2022